# SolrQuery::getTimeAllowed

(PECL solr >= 0.9.2)

SolrQuery::getTimeAllowed — Returns the time in milliseconds allowed for the query to finish

### Description

public SolrQuery::getTimeAllowed ( void ) : int

Returns the time in milliseconds allowed for the query to finish.

### Parameters

This function has no parameters.

### Return Values

Returns and integer on success and `NULL` if it is not set.